
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>UNIX 和 WINDOWS2000 上的 ORACLE 的差异 / iVAN</title>

    <meta name="description" content="UNIX 和 WINDOWS2000 上的 ORACLE 的差异 oracle|unix|window     Ian Adam,          SAIC Ltd David Stien,       SAIC Ltd 翻译:Fenng          摘要 ORACLE是广为人知的Unix硬件平台上的领先的数据库系统.ORACLE用户和管理员因此熟悉Unix平台上的ORACLE架构以及它上面的工具和技巧,并从他们的数据库得到最大的收益.相反,Windows上的ORACLE架构就不那么的被广为了解.这篇文章从一个DBA的角度考察了两个操作系统之间的关键的">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">UNIX 和 WINDOWS2000 上的 ORACLE 的差异</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>oracle|unix|window</p>
<p> </p>
<p> </p>
<p>Ian Adam,          SAIC Ltd</p>
<p>David Stien,       SAIC Ltd</p>
<p>翻译:Fenng       </p>
<p> </p>
<p>摘要</p>
<p>ORACLE是广为人知的Unix硬件平台上的领先的数据库系统。ORACLE用户和管理员因此熟悉Unix平台上的ORACLE架构以及它上面的工具和技巧，并从他们的数据库得到最大的收益。相反，Windows上的ORACLE架构就不那么的被广为了解。这篇文章从一个DBA的角度考察了两个操作系统之间的关键的异同点。</p>
<p> </p>
<p>简介</p>
<p>在看了几本令人失望的这方面的书之后，我们写了这篇文章。那些书的通病是试图做太多的事情－－在细节上讲述Windows和ORACLE。我们的这篇文章假定读者熟悉Unix平台上的ORACLE DBA的工作。因此本文将分析两个平台上的ORACLE的关键的差异而不是从头教你ORACLE的技巧。我们不想把它作为你的一份详尽的指导或者是手册的替代品，事实上它可能鼓励你阅读一些手册。作为数据库服务器平台，它只会涉及一些Unix和Windows上相关的优点，这就是本文的目的。</p>
<p> </p>
<p>范例</p>
<p>这个例子使用linux上的ORACLE 8i，实例名字叫作eighti。Windows 2000上面的ORACLE 8i的实例名字叫作atei。</p>
<p> </p>
<p>客户端对ORACLE的访问</p>
<p>当客户端连接到ORACLE时，通常的来说ORACLE服务器的平台与客户端的应用无关。这实际上很难说清。 ORACLE DBA 和系统管理人员更关心操作系统平台，他们有的时候会基于需求（如运行时间和可扩展性）选择平台。 更通常的情况下,他们接受（或是接手）给定的平台并学习从中得到最大受益。</p>
<p> </p>
<p>关于WINDOWS 2000</p>
<p>值得一提的是Windows 2000是从Windows NT升级而来。在这两个操作系统之间有很多的相似点，Windows 2000 也有些新的特性。微软从NT4.0的升级途径见下表。</p>
<p> </p>
<p>两个系统间有很多相似点：</p>
<p>-------------------------------------------------------------------------------------</p>
<p>NT 4.0                                                     Windows 2000</p>
<p>-------------------------------------------------------------------------------------</p>
<p>NT 4.0 Workstation                                  Windows 2000 Professional</p>
<p>NT 4.0 Server                                         Windows 2000 Server</p>
<p>NT 4.0 Enterprise Edition                        Windows 2000 Advanced server</p>
<p>Unix                                                         Windows 2000 Datacenter server</p>
<p>-------------------------------------------------------------------------------------</p>
<p> </p>
<p> </p>
<p>ORACLE后台进程</p>
<p>下面这句话对于用过ORACLE的人来说是会很熟悉的："每一个运行着的ORACLE数据库都对应一个ORACLE实例，当一个数据库在数据库服务器（不考虑机器的类型）上启动的时候，ORACLE分配一块叫做System Global Area (SGA)的内存区域并启动一个或者多个ORACLE进程。SGA和ORACLE进程合起来称作ORACLE 实例。"――摘自 ORACLE 8i Concepts [4 L Leverenz, 1999]。处理后台进程是放在首位的，也是不同的操作系统之间最明显的差异。</p>
<p> </p>
<p>ORACLE在UNIX上的后台进程</p>
<p>任何连接到UNIX的用户都可以很容易的察看ORACLE的后台进程：</p>
<p> </p>
<p>% ps -ef|grep eighti|grep -v grep</p>
<p> </p>
<p>oracle8 18451     1  0 16:37:18 ?        0:00 ora_pmon_eighti</p>
<p>oracle8 18453     1  0 16:37:19 ?        0:00 ora_dbw0_eighti</p>
<p>oracle8 18457     1  0 16:37:19 ?        0:04 ora_ckpt_eighti</p>
<p>oracle8 18461     1  0 16:37:19 ?        0:00 ora_reco_eighti</p>
<p>oracle8 18455     1  0 16:37:19 ?        0:02 ora_lgwr_eighti</p>
<p>oracle8 18459     1  0 16:37:19 ?        0:01 ora_smon_eighti</p>
<p>oracle8 19168 19167  0 16:43:46 ?        0:00 oracleeighti</p>
<p>                           (DESCRIPTION=(LOCAL=YES)(ADDRESS=(PROTOCOL=beq)))</p>
<p> </p>
<p>最后一行的ORACLE进程与一个SQL*Plus会话相关，其他的进程都是后台进程。在ORACLE中我们可以通过输入SQL*Plus会话察看这些进程：</p>
<p> </p>
<p>SELECT sid, spid, osuser, s.program</p>
<p>FROM v$process p, v$session s WHERE p.addr=s.paddr；</p>
<p> </p>
<p>         SID SPID    OSUSER             PROGRAM</p>
<p>    -------------------------------------------------------------------</p>
<p>         1 18451     oracle8              oracle@saic02 (PMON)</p>
<p>         2 18453     oracle8              oracle@saic02 (DBW0)</p>
<p>         3 18455     oracle8              oracle@saic02 (LGWR)</p>
<p>         4 18457     oracle8              oracle@saic02 (CKPT)</p>
<p>         5 18459     oracle8              oracle@saic02 (SMON)</p>
<p>         6 18461     oracle8              oracle@saic02 (RECO)</p>
<p>         7 19168     oracle8              sqlplus@saic02(TNS V1-V3)</p>
<p>7 rows selected.</p>
<p> </p>
<p>每一个后台进程都有一行，还有一行信息是与SQL*Plus会话相关的，SPID对应相应的UNIX进程号。</p>
<p> </p>
<p> </p>
<p>在WINDOWS2000上的ORACLE后台进程</p>
<p>回到WINDOWS上，从操作系统中察看后台进程有些困难。从任务管理器中可能会看到运行着的应用（任务管理器的察看方法：在任务栏点击右键选择"任务管理器"）。在服务器上ORAC</p>
<p>LE可以是可用的，运行着的应用却是不可见的。进程表的确显示一个进程叫做ORACLE.EXE，</p>
<p>察看alert log 显示ORACLE的所有后台进程都是启动的：</p>
<p> </p>
<p>PMON started with pid=2</p>
<p>DBW0 started with pid=3</p>
<p>LGWR started with pid=4</p>
<p>CKPT started with pid=5</p>
<p>SMON started with pid=6</p>
<p>RECO started with pid=7</p>
<p> </p>
<p>要看实际的后台进程，需要运行额外的软件，例如，进程察看器。该软件可以从Windows</p>
<p>2000 CD 中得到（Windows NT 的话可以从资源包中得到）。</p>
<p> </p>
<p>在Windows 2000上，ORACLE实例是作为一个单一的Windows 2000进程（ORACLE.EXE）实现的。这个进程包括实例所需要实现的每个任务的线程。</p>
<p>因此一个线程对应每个ORACLE 后台进程。ORACLE.EXE进程作为一个服务运行，可以从控制面板的服务中察看到 ORACLEServiceSID。其他的服务也可以这样控制。</p>
<p> </p>
<p>这允许ORACLE在没有用户登录服务器的时候也持续的运行。对于共享主处理器资源的所有的进程来说，ORACLE能够达到高速、低负荷的上下文切换。</p>
<p> </p>
<p>在Unix下显示ORACLE中的进程，我们也可以通过输入简单的SQL语句来达到。为了显示PID列，SQL语句做了些轻微的改动。要注意PID匹配警告日志中报告的值。</p>
<p> </p>
<p>SELECT s.sid, p.pid, p.spid signaled, s.osuser, s.program</p>
<p>FROM v$process p, v$session s</p>
<p>WHERE p.addr=s.paddr;</p>
<p> </p>
<p>SID      PID THREADID  OSUSER          PROGRAM</p>
<p>---- ------- --------- --------------- --------------------</p>
<p>   1       2 1088      SYSTEM          ORACLE.EXE</p>
<p>   2       3 1172      SYSTEM          ORACLE.EXE</p>
<p>   3       4 1180      SYSTEM          ORACLE.EXE</p>
<p>   4       5 1192      SYSTEM          ORACLE.EXE</p>
<p>   5       6 1212      SYSTEM          ORACLE.EXE</p>
<p>   6       7 1220      SYSTEM          ORACLE.EXE</p>
<p>   7       8 1200      Administrator   SQLPLUSW.EXE</p>
<p>7 rows selected.</p>
<p> </p>
<p>每一个后台进程都有一行，还有一行信息是与SQL*Plus会话相关。程序名字并没有指明后台进程的名字，和在Unix 中一样，这些名字可以通过和v$bgprocess 连接得到。</p>
<p> </p>
<p>SELECT s.sid SID, p.spid THREADID, p.program PROCESSNAME, bg.name NAME</p>
<p>FROM v$process p, v$session s, v$bgprocess bg</p>
<p>WHERE p.addr = s.paddr</p>
<p>AND  p.addr = bg.paddr</p>
<p>AND  bg.paddr &lt;&gt; '00' ;</p>
<p> </p>
<p>SID THREADID  PROCESSNAME     NAME</p>
<p>---------- --------- --------------- -------------</p>
<p>         1 1088      ORACLE.EXE      PMON</p>
<p>         2 1172      ORACLE.EXE      DBW0</p>
<p>         3 1180      ORACLE.EXE      LGWR</p>
<p>         4 1192      ORACLE.EXE      CKPT</p>
<p>         5 1212      ORACLE.EXE      SMON</p>
<p>         6 1220      ORACLE.EXE      RECO</p>
<p>6 rows selected.</p>
<p> </p>
<p> </p>
<p>断开会话</p>
<p>提交SQL命令 ALTER SYSTEM DISCONNECT SESSION可以断开会话。有的时候需要在操作系统级别断开会话，在UNIX上，通过kill命令实现，前面例子中的SQL会话可以通过输入UNIX命令断开：</p>
<p> </p>
<p>kill -9 19168</p>
<p> </p>
<p>在Windows 2000上可以用orakill断开一个会话。orakill是Windows平台上的ORACLE的一个特定命令，默认安装在$ORACLE_HOME\bin下。在命令行下输入orakill可以察看它的用法。前面例子中的SQL*Plus会话可以通过输入如下的命令断开：</p>
<p> </p>
<p>orakill atei 1200</p>
<p>Kill of thread id 1200 in instance atei successfully signaled.</p>
<p> </p>
<p>在Windows 2000中，如果一个断开的会话标记为 "marked for kill"但是没被删除，orakill会终止它。要记住杀掉一个后台进程总不是个好主意，尤其是Windows上，会导致进程崩溃，甚至导致数据库不可用。</p>
<p> </p>
<p>Windows 2000 注册表</p>
<p>和其他的Windows 2000中的应用那样，ORACLE的大多数的设定都在注册表中。应该看看HKEY_LOCAL_MACHINE OFTWARE\ORACLE下面都有什么。这些参数中的一些在后面会详细讨论。和ORACLE服务相关的参数和其他的服务一样存贮在同样的位置：</p>
<p>HKEY_LOCAL_MACHINE YSTEM\CurrentControlSet ervices。</p>
<p> </p>
<p> </p>
<p>环境变量</p>
<p>在Unix中两个最重要的变量是ORACLE_HOME和ORACLE_SID。一旦这些变量设定的话，应用就可以运行并联接到本地数据库。 通常也把$ORACLE_HOME/bin 包含在 $PATH</p>
<p>中以便在使用ORACLE 工具（如：sqlplus）的时候免去输入全路径的麻烦。</p>
<p> </p>
<p>Windows 2000 中可以打开命令行设定ORACLE_SID 变量再联接到本地数据库。其他的值可以从注册表中得到。</p>
<p> </p>
<p>MULTIPLE ORACLE HOMES</p>
<p>Windows 2000全面支持多个ORACLE home。以前在Windows NT上这是个主要的问题，一直到ORACLE8.0.4以后才开始支持。最初得对这一点的支持很差劲。ORACLE Home Selector, ORACLE8i的一个新的应用工具, 改变环境路径，使选择的ORACLE home 路径作为主的home。只是简单的改变系统路径，把ORACLE选择的BIN目录放在启动路径中。</p>
<p> </p>
<p>每一个 BIN目录都有一个ORACLE.KEY文件，指明在注册表中ORACLE程序在哪里可以找ORACLE_HOME 和其他的环境变量。如果在服务器上面只有一个数据库，通常在注册表中设定ORACLE_SID。不过，不要设定 ORACLE_HOME，对于ORACLE产品来说根本不需要，可能会导致问题。</p>
<p> </p>
<p>文件系统</p>
<p>多 ORACLE home的支持允许在Windows上面实现 Unix 的OFA 标准。这极大的简化了从Unix的过渡。OFA目录树的顶层的名字有差异，不过主要的子目录和文件名字在两种操作系统中都是一致的。</p>
<p> </p>
<p> </p>
<p>Unix</p>
<p>NT</p>
<p>ORACLE_BASE</p>
<p>/oracle/app/oracle</p>
<p>D:\Oracle</p>
<p>ORACLE_HOME</p>
<p>/oracle/app/oracle/product/8.1.7</p>
<p>D:\Oracle\Ora817</p>
<p>Admin directories</p>
<p>/oracle/app/oracle/admin</p>
<p>D:\Oracle\Admin</p>
<p>Database files</p>
<p>/db01/oradata/SID</p>
<p>D:\Oracle\Oradata ID</p>
<p> </p>
<p>/db02/oradata/SID</p>
<p>F:\Oracle\Oradata ID</p>
<p> </p>
<p>/db03/oradata/SID</p>
<p>G:\Oracle\Oradata ID</p>
<p> </p>
<p> </p>
<p>服务管理器</p>
<p>从ORACLE 8i开始，服务管理器的名字在不同的平台上都一致了，都叫做svrmgrl。以前在</p>
<p>Windows NT上ORACLE的执行文件名字随着版本变动而改变，对于那些在多平台上工作的人来说这很令人讨厌，尤其是在使用一些命令（imp、exp等）的时候。</p>
<p> </p>
<p>------------------------------------------------------------------</p>
<p>ORACLE 服务器版本          Windows 服务器管理器可执行文件</p>
<p>------------------------------------------------------------------</p>
<p> 7.3                             svrmgr23</p>
<p> 8.0                             svrmgr30</p>
<p> 8.1                             svrmgrl</p>
<p>------------------------------------------------------------------</p>
<p> </p>
<p>要注意server manager 正在逐步被淘汰(译者注：9i中彻底淘汰了svrmgrl)，一些额外的功能被加到了SQL*Plus 中。</p>
<p> </p>
<p>PartI. To Be Continued…..</p>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:40:06</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/oracle/" title="oracle">oracle</a>, <a href="https://www.iamivan.net/tag/windows/" title="windows">windows</a>, <a href="https://www.iamivan.net/tag/%e8%bf%9b%e7%a8%8b/" title="进程">进程</a>, <a href="https://www.iamivan.net/tag/%e5%90%8e%e5%8f%b0/" title="后台">后台</a>, <a href="https://www.iamivan.net/tag/2000/" title="2000">2000</a>, <a href="https://www.iamivan.net/tag/v8-0-4/" title="V8&period;0&period;4">V8&period;0&period;4</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>UNIX 和 WINDOWS2000 上的 ORACLE 的差异的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Nz7D9ab.html" rel="bookmark">UNIX和WINDOWS2000上的ORACLE的差异 PartIII</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle|unix|window UNIX 和 WINDOWS2000 上的 ORACLE 的差异 III Ian Adam,  SAIC LtdDavid Stien,  SAIC Ltd翻译:Fenng www.ITPub.netPart III ORACLE 的安装ORACLE8i通过新的基于Java的ORACLE Universal Installer来安装,在所有的平台上都有一样的界面 [1 M Cyran, 1999].上面这句话是对的,不过一些小的差异要注明.在Unix上需要X			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7M00eAM.html" rel="bookmark">UNIX和WINDOWS2000上的ORACLE的差异 PartII</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle|unix|window   Ian Adam ,SAIC LtdDavid Stien,SAIC Ltd 翻译:Fenng PartII 数据库启动与关闭 在Windows 2000上数据库可以通过启动相关的服务打开.通过控制面板的服务选项或者是通过命令行模式,如: net start OracleServiceatei就可以打开相关服务.这依赖于一些注册表参数,我们在后面讨论.停止相关的服务,例如:net stop OracleServiceatei可以关闭一个数据库. 在所有的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/5zOrjkp.html" rel="bookmark">在Redhat 9上安装 Oracle 817心得</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle|心得 在 Linux 上安装 Oracle 8i(注:引用http://vip.6to23.com/hanson/htdocs/oracle.htm,在安装过程中作一些更正) 关于 Oracle 安装的讨论已经有很多了,可是在实践中你还是总会遇到某些麻烦,因此我就留下我的两分钱吧.本文讨论的环境基于 Redhat Linux 9.0.93, Oracle 的版本号为 8.1.7.0.1. 下载软件假设你已经有了一台跑着 Redhat 的机器,并且它满足 Oracle 8i 对硬件的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMyDoJb.html" rel="bookmark">Digital Unix Version 4&period;0下Oracle 8&period;0&period;5服务器的安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle|unix|服务器 Digital Unix Version 4.0下Oracle 8.0.5服务器的安装 石骁騑(中软网络技术股份有限公司,北京,100081) 一. 系统需求在安装Oracle 8 服务器前,首先检查系统是否满足表1和表2所示的软硬件需求.1． 硬件需求 表1 硬件需求硬件项目 需求CPU Digital Unix alpha 系统内存 最少128M RAM交换空间 2-4倍的内存大小磁盘驱动(Disk Drives) 至少四个设备:一个用于Oracle软件的分发			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ7Rrwb.html" rel="bookmark">在AIX上安装Oracle RAC的方法和步骤</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近遇到一个项目,是在AIX5.3上安装ORACLE 9i RAC,说实话,ORACLE俺压根就没有接触过,我也是临危受命.感觉如同当年实施AS400的XSM项目一般.无奈,下载了N多本REDBOOK开始研究,终于有了些眉目,找到了一份英文资料&lt;Step-By-Step Installation of RAC on IBM AIX (RS/6000)&gt;看后觉得很不错,闲暇之余翻译并修改了一些地方,发到这里与大家分享. Oracle RAC的三种架构模式: 1.RAC+HACMP---最常见,但			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdWZm4M.html" rel="bookmark">【中亦安图】小机上运行Oracle需要注意的进程调度bug&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一章 技术人生系列 · 我和数据中心的故事--第一期 第一期:技术人生系列 · 我和数据中心的故事(第一期)小机上运行Oracle需要注意的进程调度bug. 2016-01-11 小y 中亦安图   前 言   小y这个名字,是笔者临时想的一个笔名,其实没有什么特殊的含义,就暂且用他来代表我们这些为各个数据中心奉献自己青春的一群默默无闻的IT人吧!   小y今天要和大家分享的是一个疑难杂症的分析过程.如果大家有耐心读完这个案例,一定会或多或少有些收获,也就没浪费小y的一片苦心.   具体来说是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bBq9z7.html" rel="bookmark">如何在ECS上搭建Oracle？Oracle云上云下6种架构全解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在2016杭州云栖大会第二日,袋鼠云联合创始人丁原在飞天服务专场分享了&lt;EasyDB for Oracle--基于阿里云的Oracle最佳实践&gt;.他主要从云上Oracle可行性分析.云上Oracle数据库架构.EasyDB for Oracle三个方面进行了分享,详细介绍了Oracle传统架构.云下(传统)经典数据库架构.Oracle云上4种架构的实现和优缺点. 以下内容根据演讲PPT及现场分享整理. 可行性分析 数据库关注点 不管是线上还是线下,数据库应该关注什么?第一,性能好坏.第二,数据			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMgn25b.html" rel="bookmark">在redhat 9 上安装oracle 9&period;2&period;0&period;4 时，DBCA 出错的解决办法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle|解决 如何在各种版本的linux 上安装oracle 的资料已经很多了,也介绍的很详细,按说只要按照步骤一步步来,应该不会出现问题.我也曾经在redhat 9 上安装过 oracle 9.2.0.1, 没有出现任何问题.但最近我在redhat 9 上安装 oracle 9.2.0.4( 这个版本是OTN上可以下载的,9.2.0.1的下载链接已经没有了)时,在最后使用DBCA创建数据库时,出现了以下的错误:      click finish, 弹出确认画面,click ok, 这时			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/wzV8WmM.html" rel="bookmark">RHAS 3&period;0上的Oracle 9i的安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle RHAS 3.0上的Oracle 9i的安装原文来自 :好好先生 llmmysun 修改后发布参考文档:http://www.puschitz.com/InstallingOracle9i.shtml 另外还参考了一篇csdn上的安装文档,在此一并表示感谢! 声明:本文可任意转载,但请保留上述信息     Oracle是世界上使用最广泛的数据库,它可以运行在各种计算机上:也是当前最优秀的关系型数据库.以前,一至无缘接触.这两天,正好有空.就在自己的计算机上装了一遍,领略了一番她的魅			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2203b.html" rel="bookmark" class="title">WinHex查找下载器真实下载链接方法</a>
					<div>
						  有时候想下载几个小游戏消遣一下,偏偏要用专用的下载器,比如下面这个,有点恶心,速度一直上不去. 打开任务管理器,点击&quot;查看&quot;,选择显示 &quot;PID(进程标识符)&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvxQrz.html" rel="bookmark" class="title">实例学习CSS中的优先权的问题</a>
					<div>
						css|问题 优先权问题其实就是一个冲突解决的问题,当同一个元素(或内容)被CSS选择符选中时,就要按照优先权取舍不同的CSS规则,这其中涉及到的问题其实很多. 首先就是CSS规则的specifici ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqnxZp.html" rel="bookmark" class="title">SQLSERVER字符串截取</a>
					<div>
						server|sqlserver|字符串 已知: 字段A='F:\photo\Winter Leaves.jpg'   要求:分段截取每段字符[字段A不能为TEXT类型,否则报错]解决方法:+++++ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnqEkM.html" rel="bookmark" class="title">使用C&num;进行Word 2002和Excel 2002编程</a>
					<div>
						excel|word|编程 摘要:了解 Microsoft C# 和大型复杂的 COM 服务器之间的 COM 互操作性.本文介绍了如何准备 Office XP COM 对象以及如何在 C# 程序中使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze403Ap.html" rel="bookmark" class="title">3dsmax制作游戏场景中植物教程</a>
					<div>
						1.首先在游戏模型制作开始之前确定单位,一般为厘米(CM).设置单位请参下图所示.在Customize菜单下选择Units Setup项,点击Metric单选框,在下面的下拉选项中选择Centimet ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0POO8M.html" rel="bookmark" class="title">C&plus;&plus;实现自动为对象添加&OpenCurlyDoubleQuote;属性&rdquo;访问代码</a>
					<div>
						对于c#而言,一个类可以有成员变量.成员函数.和属性,然而在C++中却没有&quot;属 性&quot;这一概念.为了达到相同的效果,在C++中一般是采用get_XXX()和set_XXX()两个 函 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6lPvz.html" rel="bookmark" class="title">实现一个简单的struts和spring框架</a>
					<div>
						apache终于发布了struts2的正式版:struts2.0.6GA,所以我也该从webwork迁移至struts2.struts2 基本上就是webwork的翻版,所以迁移过程倒是很简单,只需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrXqJp.html" rel="bookmark" class="title">WPS文字大小写字母转换方法</a>
					<div>
						教程为大家介绍在WPS文字中怎么进行大小写字母转换.编辑文档的时候,我们经常会遇到这样的情况,英文大小写非常不规范,看起来很不舒服.如果想让这些英文字母统一大写或者是小写利用WPS文字我们可以轻松搞定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNwlDb.html" rel="bookmark" class="title">让我们认知Win7启动项知识大全</a>
					<div>
						我们在日常Windows中最常见的启动项目便是它自带的启动文件夹,但是很少人会去仔细的检查它.由于它是暴露在外的,所以把程序装入到这个文件夹中,在系统启动时就会自动加载相应的程序,因此也非常容易被外在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwN0mz.html" rel="bookmark" class="title">PowerPoint中幻灯片里如何插入视频文件</a>
					<div>
						在PowerPoint中,影片包括视频和动画,在PowerPoint 2010中能插入几十种格式的视频,媒体播放器会随着视频格式的不同而有所不同. 步骤1:按[Ctrl+0]组合键,打开一个演示文稿, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNny0b.html" rel="bookmark" class="title">win7打不开http&colon;&sol;&sol;localhost怎么办</a>
					<div>
						  一.首先我们打开控制面板,点击系统和安全. 二.接着在系统安全中点击管理工具. 三.然后找到并打开iscsi发起程序,在其打开的窗口左侧中,展开你的电脑,找到该网站,选中该网站. 四.在这个窗口中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRm95p.html" rel="bookmark" class="title">canon lbp2900驱动怎么安装？</a>
					<div>
						  1. 下载佳能打印机的驱动程序,解压文件,并打开Setup..EXE应用程序 2.连接打印机,并打开电源,出现如下对话框: 3.选择第三项 4.选择第二项 5.定位打印机驱动所在的磁盘位置 6.点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkAnWb.html" rel="bookmark" class="title">防火墙怎么关</a>
					<div>
						  方法一. 桌面 - 网上邻居 - 属性 - 本地连接 - 属性 - 高级 - 设置 - 关闭(不推荐) - 确定. 方法二. 开始 - 控制面板 - 双击 安全中心 - Windows 防火墙 - ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7YDNp.html" rel="bookmark" class="title">分享一个自己写的table表格排序js插件&lpar;高效简洁&rpar;&lowbar;javascript技巧</a>
					<div>
						像:jQuery的table排序插件(感觉其使用比较麻烦或不清楚其具体用法,就没有使用).原生态js的table排序插件等,最后比较看了下--采用了一个原生态js的table排序插件,并在其基础上做了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32o87z.html" rel="bookmark" class="title">synchronized关键字不能被继承的问题</a>
					<div>
						问题描述 我发现许多地方提及synchronized的关键字不能被继承,但是通过实验发现synchronized的关键字是能够被继承的,是我的实验方式不对?请高手指教,谢谢importjava.tex ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6nDlz.html" rel="bookmark" class="title">Genymotion模拟器无法开启的解决方法&mdash;&mdash;Unable to start the virtual device&comma;The virtual device got no IP address</a>
					<div>
						前言 最近重装了电脑的系统,由win7换成了win8.1.android开发环境也重新配置了一遍.其他的都还好,就是genymotion模拟器一直开启失败. 自己尝试了很多方法,比如卸载重装软件,重新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLm3nkz.html" rel="bookmark" class="title">软盘-img文件和iso文件的区别 &comma;如何制作iso文件等</a>
					<div>
						问题描述 img文件和iso文件的区别 ,如何制作iso文件等 本人新手一枚....打算看一本 30天自制操作系统 ,但是书比较老了,用的是软盘,img文件. 想问一问怎么能够制作iso文件. img ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze68nAb.html" rel="bookmark" class="title">空页面-aspx网页显示白页面，源文件没有内容</a>
					<div>
						问题描述 aspx网页显示白页面,源文件没有内容 有一个项目的aspx页面 VS F5运行或者在IIS中打开,界面空白没有一个字符,浏览器中查看源文件也是没有一个标签. VS调试时在PageLode中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK7xKz.html" rel="bookmark" class="title">上传后&comma;获取request&period;getInputStream&lpar;&rpar;来保存到本地</a>
					<div>
						问题描述 上传后,获取request.getInputStream()来保存到本地 用的webuploader上传,后台通过request.getInputStream();怎么把这个上传的内容 保存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBojoM.html" rel="bookmark" class="title">html代码弹出固定大小的窗口</a>
					<div>
						弹出固定大小窗口 &lt;SCRIPT language=javascript&gt; function openScript(url, width, height) { var Win = wind ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1r09Kp.html" rel="bookmark" class="title">opencv qte-运行基于qt的opencv程序时提示安装libgt2&period;0-dev</a>
					<div>
						问题描述 运行基于qt的opencv程序时提示安装libgt2.0-dev OpenCV Error: Unspecified error (The function is not implement ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnGdrM.html" rel="bookmark" class="title">全球CDN市场步入快速发展阶段</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 CDN(Content Delivery Network),即内容分发网络,它是建立并覆盖在现有Internet基础上,由分布在不同区域的节点服务器群所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLmPYM.html" rel="bookmark" class="title">sql server 学习笔记</a>
					<div>
						1.将数据库的字符集修改为: alter database dbname collate Chinese_PRC_CI_AS 2.如果是表中的字段: ALTER TABLE Userinfo ALTE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M129a9p.html" rel="bookmark" class="title">c语言-求大神帮忙看看，好像是指针用错了，但我找不出错</a>
					<div>
						问题描述 求大神帮忙看看,好像是指针用错了,但我找不出错 #include&lt;stdio.h&gt; int main() { int max(int *a); int min(int *b);  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYX95Bb.html" rel="bookmark" class="title">java-jbox2d物理引擎问题，Android物理引擎</a>
					<div>
						问题描述 jbox2d物理引擎问题,Android物理引擎 最近想学一个物理引擎,在网上找了找,想学jbox2d,是用java写的,但有人说他的运行效率低,好慢,我该不该学呢,有谁用过这个引擎吗,给点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBvwmM.html" rel="bookmark" class="title">一篇好TM长的关于配置中心的文章</a>
					<div>
						配置 (Configuration) 配置(Configuration) 这个概念每个技术人都不陌生,可以说一个不提供几个配置参数的系统都不好意思上线跟别的系统打招呼.那么为什么会是这个样子呢,究其本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0n5rAz.html" rel="bookmark" class="title">Mercury水星路由器设置图解</a>
					<div>
						水星路由器设置:ADSL拨号上网路由器的设置498)this.w idth=498;' onmousewheel = 'javascript:return big(this)' alt=&quot;M ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7WdDb.html" rel="bookmark" class="title">微软对Windows 7的售后支持更具有价值</a>
					<div>
						据国外媒体报道,微软(Microsoft Co.)高管Steve Guggenheimer周二表示,微软的软件在方兴未艾的平板电脑市场将占据主导地位,相比竞争对手谷歌(Google Inc.),微软能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXK2QAM.html" rel="bookmark" class="title">javascript实现图片自动和可控的轮播切换特效&lowbar;javascript技巧</a>
					<div>
						演示图: 需要引入的文件 复制代码 代码如下: &lt;link rel=&quot;stylesheet&quot; type=&quot;text/css&quot; href=&quot;htt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8WYWp.html" rel="bookmark" class="title">WindowsXP中快速配置Apache&plus;PHP5&plus;Mysql&lowbar;php技巧</a>
					<div>
						汗.废话不多说,先罗列出我下载的相关程序的版本: Mysql-4.1.8-essential-win Mysql-gui-tools-5.0-r12-win32 php-5.2.5-win32-ins ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.034 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
